# -*- coding: utf-8 -*-

import re


class FilehandleWithLinecounter:
    """a file handle that counts the number of files that were read"""

    def __init__(self, f, delimiter):
        self.f = f
        self.line = 0
        self.delimiter = delimiter

    def readline(self, doSplit=True):
        self.line += 1
        dmp = self.f.readline().replace("\n", "").replace("\r", "")
        if doSplit:
            dmp = [word.strip(" ") for word in dmp.split(self.delimiter)]
        return dmp


def isAsciiAlphaOrUnderscore(x: str) -> bool:
    """check if string x contains only characters from [a-zA-Z0-9_] regex"""
    return re.match("[a-zA-Z0-9_]", x)


def isAsciiAlpha(x):
    """check if string x contains only characters from [a-zA-Z0-9-_.] regex"""
    return re.match("[a-zA-Z0-9-_.]", x)


def extractVardesc(line_parts: list) -> str:
    """extract variable description from ict header line parts (splitted line)"""
    shortname, units, standardname, longname, *_ = line_parts + [None] * 3
    return shortname, units, standardname, longname
